import { type ConnectionInfo, ConnectionStorage } from '@mongodb-js/connection-storage/renderer';
import type { DataService } from 'mongodb-data-service';
import React from 'react';
declare function Home({ appName, getAutoConnectInfo, isWelcomeModalOpenByDefault, __TEST_MONGODB_DATA_SERVICE_CONNECT_FN, __TEST_CONNECTION_STORAGE, }: {
    appName: string;
    getAutoConnectInfo?: () => Promise<ConnectionInfo | undefined>;
    isWelcomeModalOpenByDefault?: boolean;
    __TEST_MONGODB_DATA_SERVICE_CONNECT_FN?: () => Promise<DataService>;
    __TEST_CONNECTION_STORAGE?: typeof ConnectionStorage;
}): React.ReactElement | null;
declare function ThemedHome(props: React.ComponentProps<typeof Home>): ReturnType<typeof Home>;
export default ThemedHome;
//# sourceMappingURL=home.d.ts.map